Subject: Re: Kiwifruit, kiwifruit, and more kiwifruit

From: [email-masked] (Topsoil)
Date: 18 Jun 1995 23:27:32 -0400

Hello,

I realize it's not "on the net," but have you checked into the _Kiwifruit
Enthusiasts Journal_?  This is an excellent publication available from
Friends of the Trees Society, P.O. Box 1064, Tonasket, WA  98855.  A
single copy of the most recent issue (192 pp.) is about $18.00

-E Johnson